Package org.optaplanner.core.impl.exhaustivesearch

## Class DefaultExhaustiveSearchPhaseFactory<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.phase.AbstractPhaseFactory<Solution_,​ExhaustiveSearchPhaseConfig>
  - - org.optaplanner.core.impl.exhaustivesearch.DefaultExhaustiveSearchPhaseFactory<Solution_>

- All Implemented Interfaces:
    `PhaseFactory<Solution_>`

      public class DefaultExhaustiveSearchPhaseFactory<Solution_>
      extends AbstractPhaseFactory<Solution_,​ExhaustiveSearchPhaseConfig>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.phase.AbstractPhaseFactory

      `phaseConfig`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultExhaustiveSearchPhaseFactory​(ExhaustiveSearchPhaseConfig phaseConfig)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExhaustiveSearchPhase<Solution_>` | `buildPhase​(int phaseIndex, HeuristicConfigPolicy<Solution_> solverConfigPolicy, BestSolutionRecaller<Solution_> bestSolutionRecaller, Termination<Solution_> solverTermination)` |
    `protected EntityDescriptor<Solution_>` | `deduceEntityDescriptor​(SolutionDescriptor<Solution_> solutionDescriptor)` |

    - ### Methods inherited from class org.optaplanner.core.impl.phase.AbstractPhaseFactory

      `buildPhaseTermination`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultExhaustiveSearchPhaseFactory

          public DefaultExhaustiveSearchPhaseFactory​(ExhaustiveSearchPhaseConfig phaseConfig)

  - ### Method Detail

    - #### buildPhase

          public ExhaustiveSearchPhase<Solution_> buildPhase​(int phaseIndex,
                                                             HeuristicConfigPolicy<Solution_> solverConfigPolicy,
                                                             BestSolutionRecaller<Solution_> bestSolutionRecaller,
                                                             Termination<Solution_> solverTermination)

    - #### deduceEntityDescriptor

          protected EntityDescriptor<Solution_> deduceEntityDescriptor​(SolutionDescriptor<Solution_> solutionDescriptor)